#ifndef _MENU_H
#define _MENU_H

#include <avr/pgmspace.h>


typedef struct def_menustruktur {

	char name[16];
	struct def_menustruktur* up;
	struct def_menustruktur* down;
	struct def_menustruktur* prev;
	struct def_menustruktur* next;
	void ( *funktion )( void );
	
} menustruktur;


void do_Hauptmenu(void);
void do_Kameramenu(void);
void do_Channelmenu(void);
void do_Interfacemennu(void);
void do_Kamera(void);
void do_Helligkeit(void);
void do_Interface(void);
void do_Speed(void);
void do_Parity(void);

menustruktur Hauptmenu;
menustruktur Helligkeit;

menustruktur Kameramenu;
menustruktur Kamera0;
menustruktur Kamera1;
menustruktur Kamera2;
menustruktur Kamera3;
menustruktur Kamera4;
menustruktur Kamera5;
menustruktur Kamera6;
menustruktur Kamera7;
menustruktur Kameractive;
menustruktur Kamerachannel;
menustruktur Channelmenu;

menustruktur Interfacemenu;
menustruktur Interface_Speed;
menustruktur Interface_Parity;

menustruktur yes;
menustruktur no;

/*
const char* Kamera0.name 		PROGMEM = "Kamera 1";
const char* Kamera1.name 		PROGMEM = "Kamera 2";
const char* Kamera2.name 		PROGMEM = "Kamera 3";
const char* Kamera3.name 		PROGMEM = "Kamera 4";
const char* Kamera4.name 		PROGMEM = "Kamera 5";
const char* Kamera5.name 		PROGMEM = "Kamera 6";
const char* Kamera6.name 		PROGMEM = "Kamera 7";
const char* Kamera7.name 		PROGMEM = "Kamera 8";
const char* Kameractive.name 	PROGMEM = "Aktiv?";
const char* Kamerachannel.name	PROGMEM = "Kanalnummer:";
const char* Channelmenu.name  	PROGMEM = "Kanalmen";
const char* Interfacemenu.name	PROGMEM = "Schnittstelle";
const char* yes.name 			PROGMEM = "JA";
const char* no.name 			PROGMEM = "NEIN";
*/
void do_Hauptmenu(void);
void do_Kameramenu(void);
void do_Channelmenu(void);
void do_Interfacemennu(void);
void menu(void);

/*PROGMEM menustruktur menu[4] =
{
  { Hauptmenu, Interfacemenu, Kameramenu, 0x0, 0x0, do_Hauptmenu},
  { &Kameramenu, &Hauptmenu, &Channelmenu, &Kamera0, &Kamera7, do_Kameramenu},
  { &Channelmenu, &Kameramenu, &Interfacemenu, &Interrupt, &Poll, do_Channelmenu}
  { &Interfacemenu, &Channelmenu, &Hauptmenu, &Speed, &Parity, do_Interfacemenu}
};
*/


#endif